import * as React from 'react';
export declare const createTextareaTheme: (key: "button" | "input" | "textarea" | "checkbox" | "overlay", theme: {
    editor: import("../theme").EditorTheme;
    editorUi: import("../theme").EditorUiTheme;
}) => TextareaTheme;
export declare class Textarea extends React.Component<TextareaProps> {
    private textarea;
    focus(): void;
    render(): JSX.Element;
}
export interface TextareaProps extends React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement> {
    label?: string;
}
export interface TextareaTheme {
    backgroundColor: string;
    color: string;
    borderColor: string;
    highlightColor: string;
}
//# sourceMappingURL=textarea.d.ts.map